Subject: Re: [COSE] Robert Wilton's No Objection on draft-ietf-cose-x509-07: (with COMMENT)

From: Ivaylo Petrov <[email-masked]>
Date: Sun, 1 Nov 2020 19:53:13 +0100

Hi Rob,

Thank you for your review! My understanding from [1] is that we can have
duplicates and I made that clear in the text (I am still processing some
other comments before I publish a new version).

[1]: https://mailarchive.ietf.org/arch/msg/cose/VLv2E6wcGkC4YY-vFMRxnEAXrXo/

--
Best regards,
Ivaylo

On Thu, Oct 22, 2020 at 7:20 PM Rob Wilton (rwilton) <[email-masked]>
wrote:

>
>
> > -----Original Message-----
> > From: Michael Richardson <[email-masked]>
> > Sent: 22 October 2020 18:00
> > To: Benjamin Kaduk <[email-masked]>; Ivaylo Petrov <[email-masked]>; Rob
> > Wilton (rwilton) <[email-masked]>; Cose Chairs Wg <cose-
> > [email-masked]>; cose <[email-masked]>; The IESG <[email-masked]>; draft-
> > [email-masked]
> > Subject: Re: [COSE] Robert Wilton's No Objection on draft-ietf-cose-x509-
> > 07: (with COMMENT)
> >
> >
> > Benjamin Kaduk <[email-masked]> wrote:
> >     > On Tue, Oct 20, 2020 at 08:28:26AM +0300, Ivaylo Petrov wrote:
> >     >> Thank you Robert for your review! From this discussion [1] it
> > appears that
> >     >> indeed the intention of the usage of the term bag was not to make
> > any
> >     >> assumptions about the uniqueness of the elements. I am taking a
> > note to
> >     >> make that clear in the document regardless of the conclusion of
> > that
> >     >> discussion.
> >     >>
> >     >> [1]: https://mailarchive.ietf.org/arch/msg/cose/VLv2E6wcGkC4YY-
> > vFMRxnEAXrXo/
> >
> >     > There is also some precedent for the use of "bag" for this type of
> > thing;
> >     > consider, e.g., https://tools.ietf.org/html/rfc7292#section-4.2.3
> .
> >
> > Yes! I was trying to make allusions to some place in PKIX where bag was
> > used.
> > I understand Carsten's objection that it's mathematically incorrect.
> > I don't care one way or another.
>
> I'm fine with it being called a bag if that is the historical term in this
> context.  I just think that the description should be clear that it is
> unordered and not allowed to contain duplicates.  Of course, that is
> presuming that it isn't allowed duplicates ;-)
>
> Regards,
> Rob
>